<!-- 专区券明细 voucherList -->
<template>
  <div>

    <div>
      <van-tabs v-model="active" :color="m_color" @change="changeTab">
        <van-tab v-for="(item ,i ) in tabList" :key="i" :title="item.name"></van-tab>
      </van-tabs>

      <div class="mes_items pt10">
        <van-list v-model="list_loading" :finished="list_finished" @load="m_loadList">
          <div class="mes_item" v-for="(item , i ) in m_data" :key="i">
            <div class="mes_item-content">
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('record_no')}}：</span>{{item.record_no}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('type')}}：</span>{{item.type | type}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">金额：</span>{{item.amount}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('created_at')}}：</span>{{item.created_at}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('remark')}}：</span>{{item.remark}}</p>

            </div>

          </div>
        </van-list>

        <nodata v-if="!m_hasData&&!list_loading" />

      </div>

    </div>

  </div>
</template>

<script>
export default {
  data() {
    return {
      active: 0,
      tabList: [],
      search: {
        type: ''
      },

    }
  },
  mounted() {
    let tabList = this.getBaseData({ module: 'finance', key_name: 'credit2' })
    tabList = [...[{ id: '', name: '全部' }], ...tabList]
    this.tabList = tabList
    this.search.type = this.tabList[this.active].id
    this.m_loadList()


  },
  methods: {
    changeTab(index, title) {
      this.search.type = this.tabList[this.active].id
      this.clearScrollResult()
      this.m_loadList()
    },

    getDataList() {
      return this.api.finance_credit2(Object.assign(this.m_pageInfo, this.search)).then(res => {
        this.total_credit = res.data.total_credit
        this.credit = res.data.credit
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },
  },
  filters: {
    type(v) {
      let type = []
      try {
        let baseData = JSON.parse(sessionStorage['baseData'])
        type = baseData.filter(i => i.module == 'finance' && i.key_name == 'credit2')
      } catch (error) { }
      let obj = type.filter(i => i.id == v)
      if (obj.length) {
        return obj[0].name
      } else {
        return '品牌券转专区券'
      }


    },

  }
}

</script>
<style lang='scss' scoped>
.m_heard {
  font-size: 0.32rem;
  padding-top: 0.7rem;
  box-sizing: border-box;
  line-height: 0.5rem;
}


</style>
